.TH VPUZZLE 1 "15 August 1990"
.sp
.SH NAME
vpuzzle \- Shuffles your display like on old 16 puzzle.
.SH SYNOPSIS
\f3vpuzzle [ -\f2option\f3 ... ]\f1
.sp
.SH DESCRIPTION
The \f3vpuzzle\f1 
shuffles your display around like the old puzzle programs.
.PP
If you use
the
.B \-solve
option, then the program will undo all the moves that have been done
to restote the screen to its original state.  There are three
ways to signal the program to start solving:
.IP\(bu
Allowing the program to make 65364 moves.
.IP\(bu
Hitting one ^C in the window that started the program
.IP\(bu
Any keystroke in the root window.
.PP
If you do not use the
.B \-solve
option, then you can terminate the program by doing any of the above.
In addition, if you are waiting for all the moves to be undone, any of
the above actions will cause the program to quit.
.sp
.SH OPTIONS
\f3vpuzzle\f1 accepts the options listed below:
.PP
.TP 8
.B \-display \f2display\f1
This option specifies the display. By default it is
the current machine or the current setting of the DISPLAY variable.
.PP
.TP 8
.B \-border
This option indicates that a white border should be drawn around all
of the squares of the puzzle.
.PP
.TP 8
.B \-solve
This option indicates that the program should try to solve the puzzle,
given half a chance.
.PP
.TP 8
.B \-numsquares \f2n\f1
This option specifies the number of squares in both direction to
be used.  The default is 16.
.PP
.TP 8
.B \-xnumsquares \f2n\f1
This option specifies the number of squares horizontally that
should be used.  The default is 16.
.PP
.TP 8
.B \-ynumsquares \f2n\f1
This option specifies the number of squares vertically that
should be used.  The default is 16.
.PP
.TP 8
.B \-max \f2n\f1
This option specifies the number of pixels that should be used
when doing the shuffling.  The default is the the screen size.
.PP
.TP 8
.B \-xmax \f2n\f1
This option specifies the number of pixels across that should be used 
when doing the shuffling.  The default is the the screen size.
.PP
.TP 8
.B \-ymax \f2n\f1
This option specifies the number of pixels up and down that should be used
when doing the shuffling.  The default is the the screen size.
.SH X DEFAULTS
This program doesn't use X defaults (for shame).
.sp
.SH "SEE ALSO"
\f3X\f1(1), \f3xpuzzle\f1(1)
.sp
.SH BUGS
The algorithm to solve the puzzle is too simple.  It just
undoes the moves that have been done so far.  It should use the same
algorithm that xpuzzle uses.
.sp
.SH COPYRIGHT
Copyright 1990, Solbourne Computer, Inc.
.sp
.SH AUTHORS
M. Warner Losh (Solbourne)
